%define srcname ktp-kded-integration-module
%define rel 1
Summary:        Telepathy KDE Integration module
Name:           telepathy-kde-integration-module
Version: 0.6.0
Release:        %mkrel %{rel}
Url:            https://projects.kde.org/projects/playground/network/telepathy/telepathy-kded-module
Source0:        ftp://ftp.gtlib.cc.gatech.edu/pub/kde/unstable/telepathy-kde/%version/src/%srcname-%version.tar.bz2
License:        GPLv2+
Group:          Networking/Instant messaging
BuildRequires:  telepathy-kde-common-internals-devel >= 0.5.2
Requires:       telepathy-kde-common-internals-core


%description
This module sits in KDED and takes care of various bits of system
integration like setting user to auto-away or handling connection
errors.

%files  -f kded_ktp_integration_module.lang
%{_kde_libdir}/kde4/kcm_ktp_integration_module.so
%{_kde_libdir}/kde4/kded_ktp_integration_module.so
%{_kde_services}/kded/kded_ktp_integration_module.desktop
%{_kde_services}/kcm_ktp_integration_module.desktop
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.KdedIntegrationModule.service

#--------------------------------------------------------------------

%prep
%setup -q -n %srcname-%version
%apply_patches

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang kded_ktp_integration_module


%changelog

* Wed Apr 03 2013 mikala <mikala> 0.6.0-1.mga3
+ Revision: 407393
- Update tarball to 0.6.0

* Wed Mar 13 2013 neoclust <neoclust> 0.5.80-1.mga3
+ Revision: 402405
- New version

* Wed Mar 06 2013 sander85 <sander85> 0.5.3-2.mga3
+ Revision: 401554
- Fix auto away not restoring previous presence the first time (KDE#301335)

* Wed Feb 20 2013 mikala <mikala> 0.5.3-1.mga3
+ Revision: 399554
- Update tarball to 0.5.3

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2.1-2.mga3
+ Revision: 384296
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 mikala <mikala> 0.5.2.1-1.mga3
+ Revision: 332480
- Update tarball to 0.5.2.1

* Tue Oct 16 2012 mikala <mikala> 0.5.1-1.mga3
+ Revision: 306894
- Update tarball to 0.5.1

* Wed Aug 29 2012 mikala <mikala> 0.5.0-1.mga3
+ Revision: 285446
- Update tarball to 0.5.0

* Tue Jul 17 2012 neoclust <neoclust> 0.4.0-1.mga3
+ Revision: 271801
- New version 0.4.0

* Sun Jan 29 2012 mikala <mikala> 0.3.0-1.mga2
+ Revision: 202938
- Add as requires for common translations
- Update tarball to 0.3.0
- Fix group
- Remove tabs

* Mon Nov 28 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 173216
- imported package telepathy-kde-integration-module

